Несколько уязвимостей в PostNuke

Дата публикации:
09.01.2004
Всего просмотров:
1341
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PostNuke 0.x
Уязвимые версии: PostNuke 0.726

Описание: Уязвимость обнаружена в PostNuke. Удаленный пользователь может внедрить произвольные SQL команды. Удаленный пользователь может выполнить XSS нападение.

Программное обеспечение не фильтрует 'sortby' переменную в 'members_list' модуле. В результате удаленный пользователь может внедрить произвольные SQL команды.

Также сообщается, что модуль загрузки не фильтрует HMTL код из данных, представленных Пользователем в 'ttitle' переменной.

Пример/Эксплоит:

name=Downloads&file=index&req=viewdownloaddetails&lid=[VID]&ttitle="><i frame>

URL производителя: http://lists.postnuke.com/pipermail/postnuke-security/2004q1/000001.html

Решение: Установите соответствующее обновление:

1. PostNuke Phoenix 0.726-1 (.tar.gz format)
http://download.postnuke.com/pafiledb.php?action=file&id=34
Size/MD5 checksum: b56a5be2e88e5d6ad779a47bb4864084

2. PostNuke Phoenix 0.726-1 (.zip format)
http://download.postnuke.com/pafiledb.php?action=file&id=33
Size/MD5 checksum: 4b5fd57053c8577eeefef50cd1d19279

3. Members_List patch for pn0.726 (.tar.gz format)
http://download.postnuke.com/pafiledb.php?action=file&id= 42
Size/MD5 checksum: 6cf971d9222821529cbf7029dcd97dcc

4. Members_List patch for pn0.726 (.zip format)
http://download.postnuke.com/pafiledb.php?action=file&i d=41
Size/MD5 checksum: d36e5b9442a688e8348cf67a1ef21f56


Ссылки: PostNuke Issues (0.726 && Possibly Older)
или введите имя

CAPTCHA